Skip to main content
`Ctrl`+`K`

# DMForestSetAdjacencyDimension

During the pre-setup phase, set the dimension of interface points that determine cell adjacency (for the purposes of partitioning and overlap).

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetAdjacencyDimension(DM dm, PetscInt adjDim)

Logically Collective

## Input Parameters

- dm - the forest

- adjDim - default 0 (i.e., vertices determine adjacency)

## See Also

`DM`, `DMFOREST`, `DMForestGetAdjacencyDimension()`, `DMForestSetAdjacencyCodimension()`, `DMForestSetPartitionOverlap()`

## Level

intermediate

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages